## LassoSaml2SubjectConfirmation

LassoSaml2SubjectConfirmation — <saml2:SubjectConfirmation>

## Functions

LassoNode * | lasso_saml2_subject_confirmation_new ()

## Types and Values

struct | LassoSaml2SubjectConfirmation

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2SubjectConfirmation

## Description

Figure 65. Schema fragment for saml2:SubjectConfirmation

    <complexType name="SubjectConfirmationType">
      <sequence>
        <choice minOccurs="0">
          <element ref="saml:BaseID"/>
          <element ref="saml:NameID"/>
          <element ref="saml:EncryptedID"/>
        </choice>
        <element ref="saml:SubjectConfirmationData" minOccurs="0"/>
      </sequence>
      <attribute name="Method" type="anyURI" use="required"/>
    </complexType>

## Functions

### lasso_saml2_subject_confirmation_new ()

    LassoNode *
    lasso_saml2_subject_confirmation_new (void);

Creates a new LassoSaml2SubjectConfirmation object.

#### Returns

a newly created LassoSaml2SubjectConfirmation object

## Types and Values

### struct LassoSaml2SubjectConfirmation

    struct LassoSaml2SubjectConfirmation {
    	/* elements */
    	LassoSaml2BaseIDAbstract *BaseID;
    	LassoSaml2NameID *NameID;
    	LassoSaml2EncryptedElement *EncryptedID;
    	LassoSaml2SubjectConfirmationData *SubjectConfirmationData;
    	/* attributes */
    	char *Method;
    };